Eclipse support

HCL OneTest™ UI supports testing of applications based on Eclipse 3.0.x, 3.1.x, 3.2.x, 3.3.x, 3.4.x, 3.5.x, 3.6.2, 4.2, 4.2.2, and 4.4.

You must enable the Eclipse platform for testing before recording scripts to test Eclipse-based applications.

You can test both Eclipse 32-bit and 64-bit Standard Widget Toolkit (SWT) and Rich Client Platform (RCP) applications using HCL OneTest UI.

HCL OneTest UI also supports testing of stand-alone SWT applications. To do this, you must enable the JRE in which the SWT application runs, and also enable the SWT application. For information about enabling SWT applications, see Enabling stand-alone Standard Widget Toolkit applications.

Note: For Eclipse versions 4.2 and 4.2.2, only 32-bit applications are supported.
Feedback